<manifest version="2.0" type="device" target-level="5">
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IDevicesFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <fqname>@6.0::IEffectsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.biometrics.face</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBiometricsFace/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@2.1::IBiometricsFingerprint/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBluetoothHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.bluetooth.audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.camera.provider</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::ICameraProvider/legacy/0</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.drm</name>
        <transport>hwbinder</transport>
        <fqname>@1.3::ICryptoFactory/wfdhdcp</fqname>
        <fqname>@1.3::IDrmFactory/wfdhdcp</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.gatekeeper</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IGatekeeper/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.keymaster</name>
        <transport>hwbinder</transport>
        <fqname>@4.0::IKeymasterDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.media.omx</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmx/default</fqname>
        <fqname>@1.0::IOmxStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.memtrack</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IMemtrack/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.neuralnetworks</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IDevice/qti-default</fqname>
        <fqname>@1.2::IDevice/qti-dsp</fqname>
        <fqname>@1.2::IDevice/qti-gpu</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISap/slot1</fqname>
        <fqname>@1.2::ISap/slot2</fqname>
        <fqname>@1.4::IRadio/slot1</fqname>
        <fqname>@1.4::IRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.radio.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IRadioConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.renderscript</name>
        <transport arch="32+64">passthrough</transport>
        <fqname>@1.0::IDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.secure_element</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::ISecureElement/SIM1</fqname>
        <fqname>@1.2::ISecureElement/SIM2</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.soundtrigger</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::ISoundTriggerHw/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.config</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadConfig/default</fqname>
    </hal>
    <hal format="hidl">
        <name>android.hardware.tetheroffload.control</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOffloadControl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.dsi.ant</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAnt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.dpm.api</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IdpmQmi/dpmQmiService</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.imscmservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IImsCmService/qti.ims.connectionmanagerservice</fqname>
    </hal>
    <hal format="hidl">
        <name>com.qualcomm.qti.uceservice</name>
        <transport>hwbinder</transport>
        <fqname>@2.3::IUceService/com.qualcomm.qti.uceservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.aftersale.hardware.vivoasem</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVivoASEm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.factory.hardware.vivoem</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVivoEm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.data.factory</name>
        <transport>hwbinder</transport>
        <fqname>@2.2::IFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.esepowermanager</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IEsePowerManager/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.alarm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAlarm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_audio</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBluetoothAudioProvidersFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_sar</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IBluetoothSar/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.btconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBTConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.cacert</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.camera.postproc</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IPostProcService/camerapostprocservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.capabilityconfigstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICapabilityConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.connection</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IDataConnection/slot1</fqname>
        <fqname>@1.1::IDataConnection/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.data.latency</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILinkLatency/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.dsp</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDspService/dspservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.embmssl</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IEmbms/embmsslServer0</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.fm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFmHci/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.fstman</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IFstManager/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.iop</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IIop/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qccvndhal</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQccvndhal/qccvndhal</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qseecom</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQSEECom/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.qteeconnector</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IAppConnector/default</fqname>
        <fqname>@1.0::IGPAppConnector/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.am</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQcRilAudio/slot1</fqname>
        <fqname>@1.0::IQcRilAudio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.ims</name>
        <transport>hwbinder</transport>
        <fqname>@1.7::IImsRadio/imsradio0</fqname>
        <fqname>@1.7::IImsRadio/imsradio1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.lpa</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimLpa/UimLpa0</fqname>
        <fqname>@1.0::IUimLpa/UimLpa1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qcrilhook</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiOemHook/oemhook0</fqname>
        <fqname>@1.0::IQtiOemHook/oemhook1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQtiRadio/slot1</fqname>
        <fqname>@1.0::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.qtiradio</name>
        <transport>hwbinder</transport>
        <fqname>@2.4::IQtiRadio/slot1</fqname>
        <fqname>@2.4::IQtiRadio/slot2</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim</name>
        <transport>hwbinder</transport>
        <fqname>@1.2::IUim/Uim0</fqname>
        <fqname>@1.2::IUim/Uim1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_client</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient0</fqname>
        <fqname>@1.0::IUimRemoteServiceClient/uimRemoteClient1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.radio.uim_remote_server</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer0</fqname>
        <fqname>@1.0::IUimRemoteServiceServer/uimRemoteServer1</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.sensorscalibrate</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISensorsCalibrate/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.soter</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISoter/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.tui_comm</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ITuiComm/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wifi.wifilearner</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWifiStats/wifiStats</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wifidisplaysession</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IWifiDisplaySession/wifidisplaysession</fqname>
        <fqname>@1.0::IWifiDisplaySessionAudioTrack/wifidisplaysessionaudiotrack</fqname>
        <fqname>@1.0::IWifiDisplaySessionImageTrack/wifidisplaysessionimagetrack</fqname>
        <fqname>@1.0::IWifiDisplaySessionVideoTrack/wifidisplaysessionvideotrack</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wigig.netperftuner</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::INetPerfTuner/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.wigig.supptunnel</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISuppTunnelProvider/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.callinfo</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.ims.factory</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IImsFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.imsrtpservice</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::IRTPService/imsrtpservice</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.qspmhal</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IQspmhal/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.bbkts</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IBbkts/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.biometrics.analysis</name>
        <transport>hwbinder</transport>
        <fqname>@1.1::IAnalysis/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.biometrics.face</name>
        <transport>hwbinder</transport>
        <fqname>@2.0::IBiometricsFace/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.biometrics.fingerprint</name>
        <transport>hwbinder</transport>
        <fqname>@3.0::IBiometricsFingerprintExt/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.camera3rd.provider</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICamera3rdProvider/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.capacity_key</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICapacityKey/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.configstore</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVivoConfigStore/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.dualleds</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IDualleds/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.eid</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IEidDevice/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.lcmctl</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ILcmCtl/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.omnipotentservice</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IOmnipotentService/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.sectee</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISecTee/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.sensorfactory</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISensorFactory/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.slad</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ISlad/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.vcode</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IEventTransfer/default</fqname>
        <fqname>@1.0::IVcode/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.vcustom</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::ICustom/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.vdtf</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVdtf/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.vibrator_hall</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVib_Hall/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.vpad_bbkts</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVpadbbkts/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.vperf</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVPerf/default</fqname>
    </hal>
    <hal format="hidl">
        <name>vendor.vivo.hardware.wifi.hostapd</name>
        <transport>hwbinder</transport>
        <fqname>@1.0::IVivoHostapd/default</fqname>
    </hal>
</manifest>
